Quote
The Quote endpoint lets you retrieve pricing and shipping information for a set of products without creating an order. You can also use it to check whether the selected products can be fulfilled together as a multi-item order. The offeringId used in the request corresponds to the productId shown in your account under Settings > Products.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/quote" \ -H "Content-Type: application/json" \ -d '{ "apiKey": "f33f0b13c676f65a3363046243e05dca8a58b7ff", "countryCode": "CA", "state": "QC", "currency": "EUR", "items": [ { "offeringId": 228478, "numberOfPages": 28, "quantity": 100 } ] }'{ "quoteDetails": { "countryCode": "CA", "state": "QC", "currency": "EUR", "exchangeRate": "1" }, "quotedItems": [ { "offeringId": 228478, "numberOfPages": 28, "quantity": 100, "basePrice": 3.5, "pricePerPage": 0.15, "productPrice": 770, "shippingWholesale": 0.18, "totalQuantityDiscount": 192.5, "vatPercentage": 0, "vat": 0, "totalItemPrice": 577.68 }, { "offeringId": 228478, "numberOfPages": 28, "quantity": 200, "basePrice": 3.5, "pricePerPage": 0.15, "productPrice": 1540, "shippingWholesale": 1.21, "totalQuantityDiscount": 385, "vatPercentage": 0, "vat": 0, "totalItemPrice": 1156.21 }, { "offeringId": 228478, "numberOfPages": 28, "quantity": 200, "basePrice": 3.5, "pricePerPage": 0.15, "productPrice": 1540, "shippingWholesale": 0.36, "totalQuantityDiscount": 385, "vatPercentage": 0, "vat": 0, "totalItemPrice": 1155.36 } ], "quoteSummary": { "numberOfItems": 3, "totalWholesalePrice": 2889.25, "totalShippingPrice": 1.75, "vatSummary": [ { "vatPercentage": 0, "vat": 0 } ], "totalQuantityDiscount": 962.5 }}